Refactor SpecialNewEntity so it can be extended to SpecialNewLexeme
Closed, ResolvedPublic

Description

Right now SpecialNewEntity has so many incompatible parts that makes impossible to properly be used by SpecialNewLexeme. That needs to be fixed.

Ladsgroup created this task.Nov 7 2016, 8:14 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 7 2016, 8:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup renamed this task from Regactor SpecialNewEntity so it can be extended to SpecialNewLexme to Refactor SpecialNewEntity so it can be extended to SpecialNewLexme.Nov 8 2016, 12:13 AM
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.
Ladsgroup moved this task from In progress to Later on the User-Ladsgroup board.Nov 14 2016, 6:45 AM
WMDE-leszek triaged this task as Normal priority.Dec 7 2016, 4:40 PM
WMDE-leszek removed Ladsgroup as the assignee of this task.Dec 8 2016, 5:50 PM
Aleksey_WMDE moved this task from Proposed to Doing on the Wikidata-Former-Sprint-Board board.
WMDE-leszek renamed this task from Refactor SpecialNewEntity so it can be extended to SpecialNewLexme to Refactor SpecialNewEntity so it can be extended to SpecialNewLexeme.Dec 29 2016, 2:06 PM

Change 329349 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
Reduced number of fields for some Special pages and added constructor DI

https://gerrit.wikimedia.org/r/329349

Change 329338 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
Restructured and added SpecialNewLexeme tests

https://gerrit.wikimedia.org/r/329338

Change 329349 merged by jenkins-bot:
Reduced number of fields for some Special pages and added constructor DI

https://gerrit.wikimedia.org/r/329349

Change 330231 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
SpecialNewLexeme refactoring and addition of input validation

https://gerrit.wikimedia.org/r/330231

Change 329338 merged by jenkins-bot:
Restructured and added SpecialNewLexeme tests

https://gerrit.wikimedia.org/r/329338

Change 330405 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
Added item reference field type

https://gerrit.wikimedia.org/r/330405

Change 330407 had a related patch set uploaded (by Aleksey Bekh-Ivanov (WMDE)):
SpecialNewLexeme now uses HTMLItemReferenceField

https://gerrit.wikimedia.org/r/330407

Change 330405 merged by jenkins-bot:
Added item reference field type

https://gerrit.wikimedia.org/r/330405

Change 330231 merged by jenkins-bot:
SpecialNewLexeme refactoring and addition of input validation

https://gerrit.wikimedia.org/r/330231

Change 330407 merged by Aleksey Bekh-Ivanov (WMDE):
SpecialNewLexeme now uses HTMLItemReferenceField

https://gerrit.wikimedia.org/r/330407

Ladsgroup moved this task from Later to Monitor on the User-Ladsgroup board.Jan 6 2017, 8:16 PM
WMDE-leszek closed this task as Resolved.Jan 30 2017, 8:35 AM